!!  call Simulation_init()
!!
!! ARGUMENTS
!!
!!  none
!!
!! DESCRIPTION
!!
!!  Initializes all the data specified in Simulation_data.
!!  It calls RuntimeParameters_get rotuine for initialization.
!!
!!
!!***

subroutine Simulation_init()

  use Simulation_data
  use RuntimeParameters_interface, ONLY : RuntimeParameters_get
  implicit none

#include "constants.h"
#include "Flash.h"

  call RuntimeParameters_get('gamma',   sim_gamma)

  call RuntimeParameters_get('sim_SWdens',   sim_SWdens)
  call RuntimeParameters_get('sim_SWvelx',    sim_SWvelx)
  call RuntimeParameters_get('sim_SWby',       sim_SWby)
  call RuntimeParameters_get('sim_SWtemp',   sim_SWtemp)
  
  !Initialize other variables
  sim_SWvely = 0.
  sim_SWvelz = 0.
  
  sim_SWbx = 0.
  sim_SWbz = 0.

  sim_divb = 0.

end subroutine Simulation_init
